Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImplicitTextureCoords Class Reference

`#include <vtkImplicitTextureCoords.h>`

Inheritance diagram for vtkImplicitTextureCoords:

[legend]
Collaboration diagram for vtkImplicitTextureCoords:

[legend]
List of all members.

## Detailed Description

generate 1D, 2D, or 3D texture coordinates based on implicit function(s)

Date:
  2002/11/03 22:51:55

Revision:
  1.41

vtkImplicitTextureCoords is a filter to generate 1D, 2D, or 3D texture coordinates from one, two, or three implicit functions, respectively. In combinations with a vtkBooleanTexture map (or another texture map of your own creation), the texture coordinates can be used to highlight (via color or intensity) or cut (via transparency) dataset geometry without any complex geometric processing. (Note: the texture coordinates are referred to as r-s-t coordinates.)

The texture coordinates are automatically normalized to lie between (0,1). Thus, no matter what the implicit functions evaluate to, the resulting texture coordinates lie between (0,1), with the zero implicit function value mapped to the 0.5 texture coordinates value. Depending upon the maximum negative/positive implicit function values, the full (0,1) range may not be occupied (i.e., the positive/negative ranges are mapped using the same scale factor).

A boolean variable InvertTexture is available to flip the texture coordinates around 0.5 (value 1.0 becomes 0.0, 0.25->0.75). This is equivalent to flipping the texture map (but a whole lot easier).

Warning:
  You can use the transformation capabilities of vtkImplicitFunction to orient, translate, and scale the implicit functions. Also, the dimension of the texture coordinates is implicitly defined by the number of implicit functions defined.

See also:
  vtkImplicitFunction vtkTexture vtkBooleanTexture vtkTransformTexture

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (62%)
  - Martin, Ken (15%)
  - Lorensen, Bill (9%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkImplicitTextureCoords.h)`
  - .`cxx` (`/Graphics/vtkImplicitTextureCoords.cxx)`

Tests:
  vtkImplicitTextureCoords (Tests)

Definition at line 75 of file vtkImplicitTextureCoords.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetRFunction (vtkImplicitFunction *)
virtual vtkImplicitFunction * | GetRFunction ()
virtual void | SetSFunction (vtkImplicitFunction *)
virtual vtkImplicitFunction * | GetSFunction ()
virtual void | SetTFunction (vtkImplicitFunction *)
virtual vtkImplicitFunction * | GetTFunction ()
virtual void | SetFlipTexture (int)
virtual int | GetFlipTexture ()
virtual void | FlipTextureOn ()
virtual void | FlipTextureOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkImplicitTextureCoords * | SafeDownCast (vtkObject *o)
vtkImplicitTextureCoords * | New ()
## Protected Methods
| vtkImplicitTextureCoords ()
| ~vtkImplicitTextureCoords ()
void | Execute ()
## Protected Attributes
vtkImplicitFunction * | RFunction
vtkImplicitFunction * | SFunction
vtkImplicitFunction * | TFunction
int | FlipTexture

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkImplicitTextureCoords::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 78 of file vtkImplicitTextureCoords.h.

## Constructor & Destructor Documentation

vtkImplicitTextureCoords::vtkImplicitTextureCoords | ( |  | ) | `[protected]`

vtkImplicitTextureCoords::~vtkImplicitTextureCoords | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkImplicitTextureCoords::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkImplicitTextureCoords::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkImplicitTextureCoords::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkImplicitTextureCoords* vtkImplicitTextureCoords::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkImplicitTextureCoords::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

vtkImplicitTextureCoords* vtkImplicitTextureCoords::New | ( |  | ) | `[static]`

| Create object with texture dimension=2 and no r-s-t implicit functions defined and FlipTexture turned off. Reimplemented from vtkObject.

virtual void vtkImplicitTextureCoords::SetRFunction | ( | vtkImplicitFunction * |  | ) | `[virtual]`

| Specify an implicit function to compute the r texture coordinate.

virtual vtkImplicitFunction* vtkImplicitTextureCoords::GetRFunction | ( |  | ) | `[virtual]`

| Specify an implicit function to compute the r texture coordinate.

virtual void vtkImplicitTextureCoords::SetSFunction | ( | vtkImplicitFunction * |  | ) | `[virtual]`

| Specify an implicit function to compute the s texture coordinate.

virtual vtkImplicitFunction* vtkImplicitTextureCoords::GetSFunction | ( |  | ) | `[virtual]`

| Specify an implicit function to compute the s texture coordinate.

virtual void vtkImplicitTextureCoords::SetTFunction | ( | vtkImplicitFunction * |  | ) | `[virtual]`

| Specify an implicit function to compute the t texture coordinate.

virtual vtkImplicitFunction* vtkImplicitTextureCoords::GetTFunction | ( |  | ) | `[virtual]`

| Specify an implicit function to compute the t texture coordinate.

virtual void vtkImplicitTextureCoords::SetFlipTexture | ( | int |  | ) | `[virtual]`

| If enabled, this will flip the sense of inside and outside the implicit function (i.e., a rotation around the r-s-t=0.5 axis).

virtual int vtkImplicitTextureCoords::GetFlipTexture | ( |  | ) | `[virtual]`

| If enabled, this will flip the sense of inside and outside the implicit function (i.e., a rotation around the r-s-t=0.5 axis).

virtual void vtkImplicitTextureCoords::FlipTextureOn | ( |  | ) | `[virtual]`

| If enabled, this will flip the sense of inside and outside the implicit function (i.e., a rotation around the r-s-t=0.5 axis).

virtual void vtkImplicitTextureCoords::FlipTextureOff | ( |  | ) | `[virtual]`

| If enabled, this will flip the sense of inside and outside the implicit function (i.e., a rotation around the r-s-t=0.5 axis).

void vtkImplicitTextureCoords::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

vtkImplicitFunction* vtkImplicitTextureCoords::RFunction`[protected]`

| Definition at line 117 of file vtkImplicitTextureCoords.h.

vtkImplicitFunction* vtkImplicitTextureCoords::SFunction`[protected]`

| Definition at line 118 of file vtkImplicitTextureCoords.h.

vtkImplicitFunction* vtkImplicitTextureCoords::TFunction`[protected]`

| Definition at line 119 of file vtkImplicitTextureCoords.h.

int vtkImplicitTextureCoords::FlipTexture`[protected]`

| Definition at line 120 of file vtkImplicitTextureCoords.h.

The documentation for this class was generated from the following file:

- Graphics/vtkImplicitTextureCoords.h